# Revenue Recognition Schedules Revenue Recognition Schedules ## Gets all of the revenue recognition schedules in the system. - [GET /revenueRecognitionSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listrevenuerecognitionschedules.md): This method will scan all revenue recognition schedules and and return them to the caller. ## Execute Batch Operations - [POST /revenueRecognitionSchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /revenueRecognitionSchedules/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbybatchid.md): Returns a list of records with the specified batch_id ## Returns a list of OPEN records with the specified business_unit_id - [GET /revenueRecognitionSchedules/{tenantId}/businessUnit/{business_unit_id}/open](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listopenschedulesbybusinessunitid.md): Returns a list of OPEN records with the specified business_unit_id ## Returns a list of records with the specified credit_memo_id - [GET /revenueRecognitionSchedules/{tenantId}/creditMemo/{credit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbycreditmemoid.md): Returns a list of records with the specified credit_memo_id ## Returns a list of records with the specified debit_memo_id - [GET /revenueRecognitionSchedules/{tenantId}/debitMemo/{debit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbydebitmemoid.md): Returns a list of records with the specified debit_memo_id ## Returns a list of records with the specified invoice_id - [GET /revenueRecognitionSchedules/{tenantId}/invoice/{invoice_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbyinvoiceid.md): Returns a list of records with the specified invoice_id ## Returns a list of records with the specified membership_id - [GET /revenueRecognitionSchedules/{tenantId}/membership/{membership_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbymembershipid.md): Returns a list of records with the specified membership_id ## Returns a list of records with the specified payment_id - [GET /revenueRecognitionSchedules/{tenantId}/payment/{payment_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbypaymentid.md): Returns a list of records with the specified payment_id ## Returns a list of records with the specified write_off_id - [GET /revenueRecognitionSchedules/{tenantId}/writeOff/{write_off_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbywriteoffid.md): Returns a list of records with the specified write_off_id ## Returns a revenue recognition schedule from the system by its ID. - [GET /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/getrevenuerecognitionschedule.md): This method will look up a revenue recognition schedule by the specified ID and return it back. ## Partially updates a revenue recognition schedule with the specified ID. - [PATCH /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/patchrevenuerecognitionschedule.md): This method will patch an existing revenue recognition schedule with the specified ID, using the HTTP PATCH specification. ## Updates a revenue recognition schedule with the specified ID. - [PUT /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/updaterevenuerecognitionschedule.md): This method will update an existing revenue recognition schedule with the specified ID.